import React, { useContext } from "react";
import { TextField } from "@material-ui/core";
import {
  ApplicationStateContext,
  ApplicationDispatchContext
} from "../../../state/ApplicationContexts";

const NetworkContainer = () => {
  const state = useContext(ApplicationStateContext);
  const dispatchActions = useContext(ApplicationDispatchContext);

  const handleChange = prop => event => {
    dispatchActions.onNetworkChange(prop, event.target.value);
  };

  return (
    <>
      <div>NetworkContainer</div>
      <TextField
        id="ertet"
        label="Test"
        onChange={handleChange("test")}
        value={state.network.test}
      />
    </>
  );
};

export default NetworkContainer;
